edu.isi.pegasus.planner.catalog.site.classes

## Enum FileServerType.OPERATION

- java.lang.Object
- - java.lang.Enum<FileServerType.OPERATION>
  - - edu.isi.pegasus.planner.catalog.site.classes.FileServerType.OPERATION

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FileServerType.OPERATION>

Enclosing class:
  FileServerType

    public static enum FileServerType.OPERATION
    extends java.lang.Enum<FileServerType.OPERATION>

The operations supported by the file server

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`all`
`get`
`put`

### Field Summary

Fields
`private static java.util.List<FileServerType.OPERATION>` `mGetOperations`
`private static java.util.List<FileServerType.OPERATION>` `mPutOperations`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Collection<FileServerType.OPERATION>` `operationsFor(FileServerType.OPERATION operation)` Returns a collection of operations corresponding to a get or put operation
`static java.util.Collection<FileServerType.OPERATION>` `operationsForGET()` Returns a collection of get operations.
`static java.util.Collection<FileServerType.OPERATION>` `operationsForPUT()` Returns a collection of get operations.
`static FileServerType.OPERATION` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FileServerType.OPERATION[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### all

    public static final FileServerType.OPERATION all

#### get

    public static final FileServerType.OPERATION get

#### put

    public static final FileServerType.OPERATION put

### Field Detail

#### mGetOperations

    private static java.util.List<FileServerType.OPERATION> mGetOperations

#### mPutOperations

    private static java.util.List<FileServerType.OPERATION> mPutOperations

### Method Detail

#### values

    public static FileServerType.OPERATION[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileServerType.OPERATION c : FileServerType.OPERATION.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FileServerType.OPERATION valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### operationsFor

    public static java.util.Collection<FileServerType.OPERATION> operationsFor(FileServerType.OPERATION operation)

Returns a collection of operations corresponding to a get or put operation

Parameters:
  `operation` - the operation for which all the operations are reqd
Returns:
  Collection consisting of valid operations for operation passed

#### operationsForGET

    public static java.util.Collection<FileServerType.OPERATION> operationsForGET()

Returns a collection of get operations.

Returns:
  Collection consisting of get and all

#### operationsForPUT

    public static java.util.Collection<FileServerType.OPERATION> operationsForPUT()

Returns a collection of get operations.

Returns:
  Collection consisting of put and all